Bug 1249770 - Renaming Review Request: progress - Linux tool to show progress for cp, rm, dd, ...
Renaming Review Request: progress - Linux tool to show progress for cp, rm, d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 14:29 EDT by Florian "der-flo" Lehner
Modified: 2015-08-18 01:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: progress-0.8-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 06:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Florian "der-flo" Lehner 2015-08-03 14:29:40 EDT
This is a renaming-review!

Spec URL: https://flo.fedorapeople.org/progress.spec
SRPM URL: https://flo.fedorapeople.org/progress-0.8-1.fc21.src.rpm

Description: Linux tool to show progress for cp, rm, dd, ...
Fedora Account System Username: flo

This package was formerly known as cv.

Koji-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10589595
Comment 1 Björn 'besser82' Esser 2015-08-04 14:07:45 EDT
Taken…  =)

***

From packaging POV there are two issues:

  1) Licenses are packaged using `%license` on fc21+.  Change spec-file like:

     %files
     %if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
     %license LICENSE
     %else  # 0%{?fedora} >= 21 || 0%{?rhel} >= 8
     %doc LICENSE
     %endif # 0%{?fedora} >= 21 || 0%{?rhel} >= 8
     %doc README.md


  2) The *REQUIRED* Obsoletes / Provides are missing:

     %if (0%{?fedora} && 0%{?fedora} <= 26) || (0%{?rhel} && 0%{?rhel} <= 9)
     Obsoletes: cv <= 0.8-3
     Provides: cv == %{version}-%{release}
     %endif # (0%{?fedora} && 0%{?fedora} <= 26) || (0%{?rhel} && 0%{?rhel} <= 9)

***

NOT approved.  Please make the needed changes to the spec-file and I'll approve.
Comment 2 Florian "der-flo" Lehner 2015-08-04 14:19:19 EDT
Thanks Bjoern for taking the review!

I've added the suggested changes:

Spec URL: https://flo.fedorapeople.org/progress.spec
SRPM URL: https://flo.fedorapeople.org/progress-0.8-2.fc21.src.rpm

Cheers,
 Florian
Comment 3 Björn 'besser82' Esser 2015-08-04 14:55:45 EDT
Allrighty, looks good now!  =)

You're welcome, Florian.

Cheers
  Björn

***

Package APPROVED!!!
Comment 4 Florian "der-flo" Lehner 2015-08-04 15:14:23 EDT
Thank you Bjoern!

New Package SCM Request
=======================
Package Name: progress
Short Description: Coreutils Viewer
Upstream URL: https://github.com/Xfennec/progress
Owners: flo
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-08-04 21:04:04 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-08-05 11:16:18 EDT
progress-0.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/progress-0.8-2.fc21
Comment 7 Fedora Update System 2015-08-05 11:17:03 EDT
progress-0.8-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/progress-0.8-2.fc22
Comment 8 Fedora Update System 2015-08-07 08:55:18 EDT
progress-0.8-2.fc22 has been pushed to the Fedora 22 testing repository.
Comment 9 Fedora Update System 2015-08-08 04:23:35 EDT
progress-0.8-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/progress-0.8-2.fc23
Comment 10 Fedora Update System 2015-08-10 06:05:11 EDT
progress-0.8-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-08-18 01:13:25 EDT
progress-0.8-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 12 Fedora Update System 2015-08-18 01:23:50 EDT
progress-0.8-2.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.